{% extends 'hkm/base_browse.html' %}
{% load i18n hkm_tags %}

{% block banner %}

{% endblock %}

{% block content %}

  <div class="fullsize-container">

    {% if order %}

      
      <div class="record-meta__col record-meta__col--left col-md-12">
        <h1 class="order-preview__text">{% trans 'Kuvan tilaaminen' %}</h1>
        <h1 class="order-meta__title-small">{{ record.title }}</h1>
        <div class="order-steps-banner">
            {% include 'hkm/views/order_steps_menu.html' %}
        </div>
        <p>{% trans 'Tarkistathan, että tiedot ovat oikein.' %} {% trans 'Tämän jälkeen painamalla Tilaa-nappia siirryt maksusivulle.' %}</p>
        <table class="table table-striped">
        <caption>{% trans 'Contact details' %} (<a href="{% url 'hkm_order_contact' %}">{% trans 'Change' %}</a>)</caption>
        <tr>
        <td>{% trans 'Name' %}: </td><td>{{ order.first_name }} {{ order.last_name }}</td>
        </tr>
        <tr>
        <td>{% trans 'Email' %}: </td><td>{{ order.email }}</td>
        </tr>
        <tr>
        <td>{% trans 'Phone number' %}: </td><td>{{ order.phone }}</td>
        </tr>
        <tr>
        <td>{% trans 'Address' %}: </td><td>{{ order.street_address }}, {{ order.postal_code }} {{ order.city }}</td>
        </tr>
        </table>

        <table class="table table-striped">
        <caption>{% trans 'Order (noun)' %} (<a href="{% url 'basket' %}">{% trans 'Change' %}</a>)</caption>
        <tr>
            <th>{% trans 'Product' %}</th>
        <th>{% trans 'Amount' %}</th>
        <th>{% trans 'Price' %}</th>
        </tr>
        {% for line in request.basket.lines %}
        <tr>
          {% if line.product %}
            <td>{{ line.product.get_name_display }}</td>
            {% else %}
            <td>{{ line.text }}</td>
            {% endif %}
          <td>{{ line.quantity }}</td>
          <td>{{ line.total_price|localized_decimal:2 }} €</td>
        </tr>
        {% endfor %}
        <tr>
            <td colspan="2">{% trans 'Total' %}: </td>
        <td>
          {{ request.basket.basket_total_price|localized_decimal:2 }} € +
            {% if not request.basket.is_free_shipping %}
              {% trans 'Shipping fees' %} {{ order.postal_fees|localized_decimal:2 }} €
            {% else %}
                <span class="no-postal-fee"> {% trans 'Shipping fees' %} {{ order.postal_fees|localized_decimal:2 }} €</span> 0 €
            {% endif %}
                = {{ request.basket.total_price_with_postal_fees|localized_decimal:2 }} {% trans 'Incl. VAT' %}
        </td>
        </tr>
        </table>
        <form method="POST">
          {% csrf_token %}
          <input type="hidden" name="action" value="order-submit" />
          <button class="hkm-btn hkm-btn--default btn btn-primary" type="submit">{% trans 'Order (verb)' %}</button>
        </form>
        <p>{% trans 'By pressing Order (verb) you will be redirected to the secure payment service.' %}</p>
        <img src="/static/hkm/img/payform_row_no_invoices.png" class="order-payform-banner" />
      </div>
  </div>

    {% else %}

      {% include 'hkm/snippets/not_responding.html' %}

    {% endif %}

  </div>

{% endblock %}
